/*! \file   first-c++.cpp
    \brief  A modified version of tm_and_ir.c using some C++ elements.
    \author Markus L. Noga <noga@inrialpes.fr>

    Displays incoming IR data at 2400 8N1
    Press view to broadcast "Hello, world!" via IR 
    Press run to stop.
    Any kind of terminal program works well with this.
*/
    
/*
 *  The contents of this file are subject to the Mozilla Public License
 *  Version 1.0 (the "License"); you may not use this file except in
 *  compliance with the License. You may obtain a copy of the License at
 *  http://www.mozilla.org/MPL/
 *
 *  Software distributed under the License is distributed on an "AS IS"
 *  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 *  License for the specific language governing rights and limitations
 *  under the License.
 *
 *  The Original Code is legOS code, released March 19, 1999.
 *
 *  The Initial Developer of the Original Code is Markus L. Noga.
 *  Portions created by Markus L. Noga are Copyright (C) 1999
 *  Markus L. Noga. All Rights Reserved.
 *
 *  Contributor(s): Markus L. Noga <noga@inrialpes.fr>
 */

extern "C" { 
#include "conio.h"
#include "unistd.h"
}

#include "c++/sensor.h"

void do_sensing() {
  Sensor s(Sensor::s1,1);
  
  for(int i=0; i<100; i++) {
    cputw(s.value());
    lcd_refresh();
    delay(20);
  }
}

extern "C" int main(void) {
  cputs("START");
  lcd_refresh();
  delay(1000);
  
  do_sensing();
  
  cputs("STOP ");
  lcd_refresh();
  delay(1000);
  
  return 0;
}	
